function GUI
global main g h

width = 0;
scrnsz=get(0,'ScreenSize');
main.fig = figure('Name','Design GUI','NumberTitle','off', 'Menubar','none','OuterPosition',[1 0.04*scrnsz(4) scrnsz(3) 0.96*scrnsz(4)],'Toolbar','figure','Tag','MainFig');

main.tabs = uitabpanel('Parent',main.fig,'TabPosition','lefttop','Position',[0.0,0.0,1.0,1.0],'Margins',{[0,-1,1,0],'pixels'},...
    'PanelBorderType','line','Title',{'Intro','Main Dimensions','Axial View','Distributions','Radial View','Blade Thickness','Labyrinths','Runner cascade','Summary'});%,'CreateFcn',@CreateTab,'Tag','Tabs');
main.panels=getappdata(main.tabs,'panels');

main.dx=0.001;          %flytter markren en promille av skjermstrrelsen ved bruk av piltastene i graf
main.dy=0.002;          %flytter markren en promille av skjermstrrelsen ved bruk av piltastene i graf
main.dxd=0.004;          %flytter markren en promille av skjermstrrelsen ved bruk av piltastene i graf
main.dyd=0.008;          %flytter markren en promille av skjermstrrelsen ved bruk av piltastene i graf
CreateConstants
h.UpdateCount=0;
g.UpdateCount=0;
%--------------------------------------------------------------------------
% Creating the tabs
%--------------------------------------------------------------------------
Starter
% MainDim
% AxialView
% Distributions
% RadialView
% guidevanes
%--------------------------------------------------------------------------
    function TabResize2(hobj,evdt,ysiz)
        figpos = get(hfig,'Position');
        tabpos = get(hobj,'Position');
        tabpos([1,3]) = [width,1-width]*figpos(3)+[1,0];
        tabpos([2,4]) = ysiz*figpos(4)+[1,0];
        set(hobj,'Position',tabpos);
    end

%--------------------------------------------------------------------------
    function TabStatus2(hobj,evdt)
        set(get(evdt.Status,'Children'),'String',['page ',num2str(evdt.NewValue)]);
    end

end

function CreateConstants
    global main
    main.grav=9.81;
    main.rho=998;
    main.etah=0.96;
    main.sigmamax=100*10^6; %Pa

    main.intro=1;
    main.md=2;
    main.av=3;
    main.dist=4;
    main.rv=5;
    main.bt=6;
    main.lab=7;
    main.rc=8;
    main.sum=9;
end
