function calcGV
global d e h

d.Z_gv=str2double(get(d.ZgvEdit,'String'));
d.D_gvout=1.05*e.D_1;
d.B_gvout=e.B_1;
d.c_ugvout=e.c_u1*e.D_1/d.D_gvout;
d.c_mgvout=h.Q/(d.D_gvout*d.B_gvout*pi);
d.alpha_gvout=atand(d.c_mgvout/d.c_ugvout);
d.alpha_gvoutmax=4*(-4*h.speedNr^2+13*h.speedNr+1);
d.D_gvax=str2double(get(d.DgvaxEdit,'String'));

d.angleB=asind((d.D_gvout/d.D_gvax)*sind(d.alpha_gvout+90));
d.angleBmax=asind((d.D_gvout/d.D_gvax)*sind(d.alpha_gvoutmax+90));
d.alpha_gvax=90-d.angleB;
d.angleC=180-(d.angleB+d.alpha_gvout+90);
d.angleCmax=180-(d.angleB+d.alpha_gvoutmax+90);
d.L_gvax=sind(d.angleC)*d.D_gvax/(2*sind(d.alpha_gvout+90));
d.L_gvaxmax=sind(d.angleC)*d.D_gvax/(2*sind(d.alpha_gvoutmax+90));
d.L_gv=1.1*pi*d.D_gvax/d.Z_gv;
d.axislocation=d.L_gvax/d.L_gv;
set(d.AxislocationStatic,'string',['Guide vane axis location = ' num2str(d.axislocation)]);
d.D_gvin=2*sqrt(d.L_gv^2+(d.D_gvout/2)^2-2*d.L_gv*(d.D_gvout/2)*cosd(d.alpha_gvoutmax+90));
d.D_gvinmax=2*sqrt(d.L_gv^2+(d.D_gvout/2)^2-2*d.L_gv*(d.D_gvout/2)*cosd(d.alpha_gvout+90));
d.alpha_gvin=90-acosd(((d.D_gvin/2)^2+d.L_gv^2-(d.D_gvout/2)^2)/(d.D_gvin*d.L_gv));
d.c_mgvin=h.Q/(d.B_gvout*pi*d.D_gvin);
d.c_ugvin=d.c_mgvin/tand(d.alpha_gvin);

d.Gv_mat=xlsread('Naca_0012.xls');
d.Gvx=d.Gv_mat(:,1)*d.L_gv-(d.L_gv-d.L_gvax);
d.Gvy=d.Gv_mat(:,2)*d.L_gv;
[theta,r]=cart2pol(d.Gvx, d.Gvy);
theta=theta+(pi/2-d.alpha_gvax*pi/180)-pi;
[d.Gvx,d.Gvy]=pol2cart(theta, r);
d.Gvx=d.Gvx+d.D_gvax/2;
i_gv=0;
set(gcf,'CurrentAxes', d.gvFig)
try delete(d.gvplot); end
d.gvplot=0;
hold on
for angle=0*pi:2*pi/d.Z_gv:2*pi
        i_gv=i_gv+1;    
        [theta r]=cart2pol(d.Gvx, d.Gvy);
        theta=theta+angle;
        [Gvxplot Gvyplot]=pol2cart(theta,r);
        d.gvplot(i_gv)=plot(Gvxplot,Gvyplot,'k');
end   
axis equal

% set(d.DsvinEdit,'String',num2str(d.D_gvax*1.35));
% calcSV
end