function [Xblade, Yblade, Zblade, T]=thickness(tmax,tmin, X, Y, Z, np, ns)
% R=tmax/2;
% tmax=tmax*10;
T(1)=tmax;
T(np)=tmin;
tstart=5;
for i=2:tstart
    T(i)=tmax;
end
dT=(T(1)-T(np))/(np-tstart);
for i=tstart+1:np-1
    T(i)=T(i-1)-dT;
end

for J = 1 : ns-1
    for I = 1 : np-1;
		Xa = X(I,J) - X(I+1,J);
		Ya = Y(I,J) - Y(I+1,J);
		Za = Z(I,J) - Z(I+1,J);
		Xb = X(I,J) - X(I,J+1);
		Yb = Y(I,J) - Y(I,J+1);
		Zb = Z(I,J) - Z(I,J+1); 
        Xc = Ya * Zb - Yb * Za;
		Yc = -(Xa * Zb - Xb * Za);
		Zc = Xa * Yb - Xb * Ya;
        L=sqrt(Xc^2+Yc^2+Zc^2);
        A(I,J)=L;
        Thickness = T(I)/(2*L); 
        Xblade(I,J,1)=X(I,J)+((T(I)/2)/L)*Xc;
        Xblade(I,J,2)=X(I,J)-Thickness*Xc;
        Yblade(I,J,1)=Y(I,J)+Thickness*Yc;
        Yblade(I,J,2)=Y(I,J)-Thickness*Yc;
        Zblade(I,J,1)=Z(I,J)+Thickness*Zc;
        Zblade(I,J,2)=Z(I,J)-Thickness*Zc;
    end     
end
J = ns;
    for I = 1 : np-1;
		Xa = X(I,J) - X(I,J-1);
		Ya = Y(I,J) - Y(I,J-1);
		Za = Z(I,J) - Z(I,J-1);
		Xb = X(I,J) - X(I+1,J);
		Yb = Y(I,J) - Y(I+1,J);
		Zb = Z(I,J) - Z(I+1,J); 
        Xc = Ya * Zb - Yb * Za;
		Yc = -(Xa * Zb - Xb * Za);
		Zc = Xa * Yb - Xb * Ya;
        L=sqrt(Xc^2+Yc^2+Zc^2);
        A(I,J)=L;
        Thickness = T(I)/(2*L); 
        Xblade(I,J,1)=X(I,J)+Thickness*Xc;
        Xblade(I,J,2)=X(I,J)-Thickness*Xc;
        Yblade(I,J,1)=Y(I,J)+Thickness*Yc;
        Yblade(I,J,2)=Y(I,J)-Thickness*Yc;
        Zblade(I,J,1)=Z(I,J)+Thickness*Zc;
        Zblade(I,J,2)=Z(I,J)-Thickness*Zc;
    end     
for J = 1 : ns-1
I = np;
		Xa = X(I,J) - X(I-1,J);
		Ya = Y(I,J) - Y(I-1,J);
		Za = Z(I,J) - Z(I-1,J);
		Xb = X(I,J) - X(I,J+1);
		Yb = Y(I,J) - Y(I,J+1);
		Zb = Z(I,J) - Z(I,J+1); 
        Xc = -(Ya * Zb - Yb * Za);
		Yc = (Xa * Zb - Xb * Za);
		Zc = -(Xa * Yb - Xb * Ya);
        L=sqrt(Xc^2+Yc^2+Zc^2);
        A(I,J)=L;
        Thickness = T(I)/(2*L); 
        Xblade(I,J,1)=X(I,J)+Thickness*Xc;
        Xblade(I,J,2)=X(I,J)-Thickness*Xc;
        Yblade(I,J,1)=Y(I,J)+Thickness*Yc;
        Yblade(I,J,2)=Y(I,J)-Thickness*Yc;
        Zblade(I,J,1)=Z(I,J)+Thickness*Zc;
        Zblade(I,J,2)=Z(I,J)-Thickness*Zc;    
end
J=ns;
I=np;
        Xa = X(I,J) - X(I-1,J);
		Ya = Y(I,J) - Y(I-1,J);
		Za = Z(I,J) - Z(I-1,J);
		Xb = X(I,J) - X(I,J-1);
		Yb = Y(I,J) - Y(I,J-1);
		Zb = Z(I,J) - Z(I,J-1); 
        Xc = Ya * Zb - Yb * Za;
		Yc = -(Xa * Zb - Xb * Za);
		Zc = Xa * Yb - Xb * Ya;
        L=sqrt(Xc^2+Yc^2+Zc^2);
        A(I,J)=L;
        Thickness = T(I)/(2*L); 
        Xblade(I,J,1)=X(I,J)+Thickness*Xc;
        Xblade(I,J,2)=X(I,J)-Thickness*Xc;
        Yblade(I,J,1)=Y(I,J)+Thickness*Yc;
        Yblade(I,J,2)=Y(I,J)-Thickness*Yc;
        Zblade(I,J,1)=Z(I,J)+Thickness*Zc;
        Zblade(I,J,2)=Z(I,J)-Thickness*Zc;    
end
